Vector::BLF::ObjectHeader(3)

NAME
Vector::BLF::ObjectHeader - Object header.

SYNOPSIS

#include <ObjectHeader.h>

Inherits Vector::BLF::ObjectHeaderBase.

Inherited by Vector::BLF::A429BusStatistic, Vector::BLF::A429Error, Vector::BLF::A429Message, Vector::BLF::A429Status, Vector::BLF::AfdxBusStatistic, Vector::BLF::AfdxErrorEvent, Vector::BLF::AfdxFrame, Vector::BLF::AfdxStatistic, Vector::BLF::AfdxStatus, Vector::BLF::AppText, Vector::BLF::AppTrigger, Vector::BLF::AttributeEvent, Vector::BLF::CanDriverError, Vector::BLF::CanDriverErrorExt, Vector::BLF::CanDriverHwSync, Vector::BLF::CanDriverStatistic, Vector::BLF::CanErrorFrame, Vector::BLF::CanErrorFrameExt, Vector::BLF::CanFdErrorFrame64, Vector::BLF::CanFdMessage, Vector::BLF::CanFdMessage64, Vector::BLF::CanMessage, Vector::BLF::CanMessage2, Vector::BLF::CanOverloadFrame, Vector::BLF::CanSettingChanged, Vector::BLF::DataLostBegin, Vector::BLF::DataLostEnd, Vector::BLF::DiagRequestInterpretation, Vector::BLF::DistributedObjectMember, Vector::BLF::DriverOverrun, Vector::BLF::EnvironmentVariable, Vector::BLF::EthernetErrorEx, Vector::BLF::EthernetErrorForwarded, Vector::BLF::EthernetFrame, Vector::BLF::EthernetFrameEx, Vector::BLF::EthernetFrameForwarded, Vector::BLF::EthernetRxError, Vector::BLF::EthernetStatistic, Vector::BLF::EthernetStatus, Vector::BLF::EventComment, Vector::BLF::FlexRayData, Vector::BLF::FlexRayStatusEvent, Vector::BLF::FlexRaySync, Vector::BLF::FlexRayV6Message, Vector::BLF::FlexRayV6StartCycleEvent, Vector::BLF::FlexRayVFrError, Vector::BLF::FlexRayVFrReceiveMsg, Vector::BLF::FlexRayVFrReceiveMsgEx, Vector::BLF::FlexRayVFrStartCycle, Vector::BLF::FlexRayVFrStatus, Vector::BLF::FunctionBus, Vector::BLF::GlobalMarker, Vector::BLF::GpsEvent, Vector::BLF::J1708Message, Vector::BLF::KLineStatusEvent, Vector::BLF::LinBaudrateEvent, Vector::BLF::LinChecksumInfo, Vector::BLF::LinCrcError, Vector::BLF::LinCrcError2, Vector::BLF::LinDisturbanceEvent, Vector::BLF::LinDlcInfo, Vector::BLF::LinLongDomSignalEvent, Vector::BLF::LinLongDomSignalEvent2, Vector::BLF::LinMessage, Vector::BLF::LinMessage2, Vector::BLF::LinReceiveError, Vector::BLF::LinReceiveError2, Vector::BLF::LinSchedulerModeChange, Vector::BLF::LinSendError, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse, Vector::BLF::LinShortOrSlowResponse2, Vector::BLF::LinSlaveTimeout, Vector::BLF::LinSleepModeEvent, Vector::BLF::LinSpikeEvent, Vector::BLF::LinSpikeEvent2, Vector::BLF::LinStatisticEvent, Vector::BLF::LinSyncError, Vector::BLF::LinSyncError2, Vector::BLF::LinUnexpectedWakeup, Vector::BLF::LinWakeupEvent, Vector::BLF::LinWakeupEvent2, Vector::BLF::MostCtrl, Vector::BLF::MostLightLock, Vector::BLF::MostPkt, Vector::BLF::MostSpy, Vector::BLF::MostStatistic, Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

  Public Types
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

Object header. Object header. Version 1.

Member Enumeration Documentation

  enum Vector::BLF::ObjectHeader::ObjectFlags : uint32_t
enumeration for objectFlags

Enumerator

TimeTenMics
    10 micro second timestamp Object time stamp is saved as multiple of ten microseconds. (BL_OBJ_FLAG_TIME_TEN_MICS)

TimeOneNans
    1 nano second timestamp Object time stamp is saved in nanoseconds. (BL_OBJ_FLAG_TIME_ONE_NANS)

Member Function Documentation

  uint16_t Vector::BLF::ObjectHeader::calculateHeaderSize () const [override], [virtual]
Calculates the headerSize

Returns
    header size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  uint32_t Vector::BLF::ObjectHeader::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

Reimplemented in Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

  void Vector::BLF::ObjectHeader::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Reimplemented in Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

  void Vector::BLF::ObjectHeader::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Reimplemented in Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

Member Data Documentation

  uint32_t Vector::BLF::ObjectHeader::objectFlags {ObjectFlags::TimeOneNans}

object flags Unit of object timestamp.

  uint64_t Vector::BLF::ObjectHeader::objectTimeStamp {}

object timestamp Time stamp of this object in the unit specified in objectFlags.

  uint16_t Vector::BLF::ObjectHeader::objectVersion {0}

object specific version Object specific version, has to be set to 0 unless stated otherwise in the description of a specific event.

Note
    can be set in event class constructor

Author

Generated automatically by Doxygen for Vector BLF from the source code.